Bug 103270 - Photos "View as Image Collection" not working
Photos "View as Image Collection" not working
Product: Red Hat Raw Hide
Classification: Retired
Component: eog (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
: 103472 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-08-28 08:01 EDT by Callum Benepe
Modified: 2007-04-18 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-03 10:33:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Callum Benepe 2003-08-28 08:01:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
I have a folder containing some photos. When I use Nautilus to view them,
there's a "View as Image" option. I wanted to set up a slideshow of Governor's
Island when I saw the slideshow feature.

Version-Release number of selected component (if applicable):
nautilus-media-0.3.1-1, nautilus-2.3.9-1

How reproducible:

Steps to Reproduce:
1. Save a few photos in a new folder
2. Open Nautilus, go to folder containing the jpg images
3. In the upper right corner of Nautilus, change the tab from "View as Icons" to
"View as Image Collection".

Actual Results:  Error Message: View Failed, The Image Collection view
encountered an error and can't continue. You can choose another view or go to a
different location.

Expected Results:  A "slide show" effect, I imagine

Additional info:

If you choose "View as Icons" again, Nautilus is able to change views, and does
not crash.
Comment 1 Tim Waugh 2003-09-01 09:28:15 EDT
*** Bug 103472 has been marked as a duplicate of this bug. ***
Comment 2 Tim Waugh 2003-09-01 09:29:44 EDT
Here's a backtrace from the 36Mb core left behind:

#0  0x4001544e in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x40d5ecaf in raise () from /lib/tls/libc.so.6
#2  0x40d60643 in abort () from /lib/tls/libc.so.6
#3  0x40cc2f38 in g_logv () from /usr/lib/libglib-2.0.so.0
#4  0x40cc2f74 in g_log () from /usr/lib/libglib-2.0.so.0
#5  0x40cc0903 in g_malloc () from /usr/lib/libglib-2.0.so.0
#6  0x40bd6178 in gdk_interp_type_get_type ()
   from /usr/lib/libgdk_pixbuf-2.0.so.0
#7  0x40bd74be in pixops_scale () from /usr/lib/libgdk_pixbuf-2.0.so.0
#8  0x40bd6e21 in pixops_composite_color ()
   from /usr/lib/libgdk_pixbuf-2.0.so.0
#9  0x40bd0f78 in gdk_pixbuf_composite_color ()
   from /usr/lib/libgdk_pixbuf-2.0.so.0
#10 0x0805d1fb in eog_scroll_view_get_type ()
#11 0x0805d55b in eog_scroll_view_get_type ()
#12 0x40cbdb33 in g_timeout_add () from /usr/lib/libglib-2.0.so.0
#13 0x40cbafdd in unblock_source () from /usr/lib/libglib-2.0.so.0
#14 0x40cbbfd8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#15 0x40cbc2ef in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#16 0x40cbc9cf in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#17 0x4020c088 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#18 0x4020a279 in bonobo_generic_factory_main_timeout ()
   from /usr/lib/libbonobo-2.so.0
#19 0x4020a195 in bonobo_generic_factory_main () from /usr/lib/libbonobo-2.so.0
#20 0x0805786f in main ()
Comment 3 Thomas J. Baker 2003-09-08 09:19:13 EDT
I get a little further but it's pretty much not working for me either. I don't
get core files. I use the view as image collection and the icons appear at the
bottom but that's about it. You can change the selected icon but nothing appears
in the top section.
Comment 4 Tim Waugh 2003-10-03 10:33:27 EDT
Seems to be fixed in 2.4.0-1.

Note You need to log in before you can comment on or make changes to this bug.